package com.ruoyi.web.work.domain.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ruoyi.common.core.domain.BaseData;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.sql.Date;
import java.sql.Timestamp;

@Data
@Accessors(chain = true)
public class PatientCardDto extends BaseData {


    @ApiModelProperty(value = "科室")
    private String department;


    @ApiModelProperty(value = "主治医生姓名")
    private String physician;

    @ApiModelProperty(value = "主治医生姓名")
    private String doctorCode;

    @ApiModelProperty(value = "出院方式")
    private String dischargeMethod;


    @ApiModelProperty(value = "出院时间")
    private String dischargeTime;


    @ApiModelProperty(value = "就诊ID")
    private String visitId;

    @ApiModelProperty(value = "患者ID")
    private String patId;

    @ApiModelProperty(value = "就诊卡号")
    private String cardId;


    @ApiModelProperty(value = "患者姓名")
    private String name;

    @ApiModelProperty(value = "病历号")
    @TableField(exist = false)
    private String blh;

    @ApiModelProperty(value = "医生id")
    @TableField(exist = false)
    private Long userId;

    @ApiModelProperty(value = "是否关注小程序")
    @TableField(exist = false)
    private Integer isBindWx;

}

