package com.ruoyi.web.work.domain.dto;

import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

@Data
public class RemoveOrRevertDto {

    @NotNull(message = "不能为空")
    @Min(value = 0, message = "只能是删除或者还原")
    @Max(value = 1, message = "只能是删除或者还原")
    private Integer op;

    @NotNull(message = "ids不能为空")
    @Size(min = 1, message = "ids不能为空")
    private Long[] ids;

}
